# Azure OAuth Client SSO

Azure OAuth Client SSO is a Drupal module designed 
to facilitate single sign-on (SSO) functionality for 
logging into a Drupal site through Microsoft Azure Active 
Directory Protocol. This module enables users to 
authenticate using their Azure credentials, enhancing 
security and user experience.

For a full description of the module, visit the 
[project page](https://www.drupal.org/project/azure_oauth_sso).

Submit bug reports and feature suggestions, or track changes in 
the [issue queue](https://www.drupal.org/project/issues/azure_oauth_sso).


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires the following modules:
- [Azure API PHP SDK](https://github.com/Azure/azure-sdk-for-php)
- [OAuth 2.0 Client library for PHP](https://github.com/thephpleague/oauth2-client)


## Installation

Install as you would normally install a contributed Drupal module. 
For further information, 
see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. Enable the module at Administration > Extend.
2. Navigate to `azure_oauth_sso.customerSetup` for 
customer-specific setup.


## Maintainers

- Ahmad Halah - [ahmadhalah](https://www.drupal.org/u/ahmadhalah)
- Mahdi Wadi - [mahdiwadi](https://www.drupal.org/u/mahdiwadi)
